com.ihr.xbrl.om.errors

## Class XBRLInconsistentDTSException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.ihr.xbrl.om.errors.XBRLInconsistentDTSException

- All Implemented Interfaces:
    java.io.Serializable

      public class XBRLInconsistentDTSException
      extends java.lang.Exception

  This exception is thrown by the XBRLProcessor when an operation will put in danger the consistency of the object model
  Author:
    Ignacio
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CANNOT_ADD_CONTEXT_TO_REPORT` The Constant CANNOT_ADD_CONTEXT_TO_REPORT.
    `static int` | `CANNOT_ADD_IMPORT_TO_TAXONOMY` The Constant CANNOT_ADD_IMPORT_TO_TAXONOMY.
    `static int` | `CANNOT_ADD_RELATIONSHIP_FROM_TO_FRAGMENT` The Constant CANNOT_ADD_RELATIONSHIP_FROM_TO_FRAGMENT.
    `static int` | `CANNOT_ADD_RELATIONSHIP_TO_EXTENDED_LINK` The Constant CANNOT_ADD_RELATIONSHIP_TO_EXTENDED_LINK.
    `static int` | `CANNOT_ADD_RELATIONSHIP_TO_TO_FRAGMENT` The Constant CANNOT_ADD_RELATIONSHIP_TO_TO_FRAGMENT.
    `static int` | `CANNOT_ADD_UNIT_TO_THE_REPORT` The Constant CANNOT_ADD_UNIT_TO_THE_REPORT.
    `static int` | `CANNOT_CHANGE_ID_OF_ELEMENT_BECAUSE_COLLIDES_WITH_OTHER_ELEMENT_ID` The Constant CANNOT_CHANGE_ID_OF_ELEMENT_BECAUSE_COLLIDES_WITH_OTHER_ELEMENT_ID.
    `static int` | `CANNOT_CREATE_FACT_ELEMENT_IS_NOT_AN_XBRL_CONCEPT` The Constant CANNOT_CREATE_FACT_ELEMENT_IS_NOT_AN_XBRL_CONCEPT.
    `static int` | `CANNOT_REMOVE_CONTEXT_FROM_REPORT` The Constant CANNOT_REMOVE_CONTEXT_FROM_REPORT.
    `static int` | `CANNOT_REMOVE_ID_BECAUSE_FRAGMENT_CONTAINS_RELATIONSHIPS` The Constant CANNOT_REMOVE_ID_BECAUSE_FRAGMENT_CONTAINS_RELATIONSHIPS.
    `static int` | `CANNOT_REMOVE_RELATIONSHIP_FROM_BASE_SET` The Constant CANNOT_REMOVE_RELATIONSHIP_FROM_BASE_SET.
    `static int` | `CANNOT_REMOVE_RELATIONSHIP_FROM_EXTENDED_LINK` The Constant CANNOT_REMOVE_RELATIONSHIP_FROM_EXTENDED_LINK.
    `static int` | `CANNOT_REMOVE_RELATIONSHIP_FROM_FROM_FRAGMENT` The Constant CANNOT_REMOVE_RELATIONSHIP_FROM_FROM_FRAGMENT.
    `static int` | `CANNOT_REMOVE_RELATIONSHIP_FROM_TO_FRAGMENT` The Constant CANNOT_REMOVE_RELATIONSHIP_FROM_TO_FRAGMENT.
    `static int` | `CANNOT_REMOVE_UNIT_FROM_REPORT` The Constant CANNOT_REMOVE_UNIT_FROM_REPORT.
    `static int` | `CANNT_ADD_FACT_TO_REPORT_DUE_TO_XBRLVALIDATIONEXCEPTION` The Constant CANNT_ADD_FACT_TO_REPORT_DUE_TO_XBRLVALIDATIONEXCEPTION.
    `static int` | `INVALID_ATTRIBUTE_DEFINITION_FIXED_AND_DEFAULT_ARE_NOT_COMPATIBLE` The Constant INVALID_ATTRIBUTE_DEFINITION_FIXED_AND_DEFAULT_ARE_NOT_COMPATIBLE.
    `static int` | `INVALID_ATTRIBUTE_DEFINITION_FORM_NOT_LEGAL_FOR_REF` The Constant INVALID_ATTRIBUTE_DEFINITION_FORM_NOT_LEGAL_FOR_REF.
    `static int` | `INVALID_ATTRIBUTE_DEFINITION_REF_AND_NAME_FOUND` The Constant INVALID_ATTRIBUTE_DEFINITION_REF_AND_NAME_FOUND.
    `static int` | `INVALID_ATTRIBUTE_DEFINITION_REF_OR_NAME_REQUIRED` The Constant INVALID_ATTRIBUTE_DEFINITION_REF_OR_NAME_REQUIRED.
    `static int` | `INVALID_ATTRIBUTE_DEFINITION_TYPE_NOT_LEGAL_FOR_REF` The Constant INVALID_ATTRIBUTE_DEFINITION_TYPE_NOT_LEGAL_FOR_REF.
    `static int` | `LEXICOGRAPHICALY_INVALID_ID` The Constant LEXICOGRAPHICALY_INVALID_ID.
    `static int` | `MISTMATCHED_BASE_SET_FOR_EXTENDED_LINK` The Constant MISTMATCHED_BASE_SET_FOR_EXTENDED_LINK.
    `static int` | `SETTING_DOCUMENT_ROOT_NODE_PROBLEMS_READING_ARCROLEREFS` The Constant SETTING_DOCUMENT_ROOT_NODE_PROBLEMS_READING_ARCROLEREFS.
    `static int` | `SETTING_DOCUMENT_ROOT_NODE_PROBLEMS_READING_ARCROLES` The Constant SETTING_DOCUMENT_ROOT_NODE_PROBLEMS_READING_ARCROLES.
    `static int` | `SETTING_DOCUMENT_ROOT_NODE_PROBLEMS_READING_IMPORTS` The Constant SETTING_DOCUMENT_ROOT_NODE_PROBLEMS_READING_IMPORTS.
    `static int` | `SETTING_DOCUMENT_ROOT_NODE_PROBLEMS_READING_INFOSET` The Constant SETTING_DOCUMENT_ROOT_NODE_PROBLEMS_READING_INFOSET.
    `static int` | `SETTING_DOCUMENT_ROOT_NODE_PROBLEMS_READING_LINKBASES` The Constant SETTING_DOCUMENT_ROOT_NODE_PROBLEMS_READING_LINKBASES.
    `static int` | `SETTING_DOCUMENT_ROOT_NODE_PROBLEMS_READING_ROLEREFS` The Constant SETTING_DOCUMENT_ROOT_NODE_PROBLEMS_READING_ROLEREFS.
    `static int` | `SETTING_DOCUMENT_ROOT_NODE_PROBLEMS_READING_ROLES` The Constant SETTING_DOCUMENT_ROOT_NODE_PROBLEMS_READING_ROLES.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XBRLInconsistentDTSException(int code, java.lang.Object... args)` Instantiates a new XBRL inconsistent dts exception.
    `XBRLInconsistentDTSException(int code, java.lang.Throwable cause, java.lang.Object... args)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()` Gets the code.
    `java.lang.String` | `getMessage()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### MISTMATCHED_BASE_SET_FOR_EXTENDED_LINK

          public static final int MISTMATCHED_BASE_SET_FOR_EXTENDED_LINK

      The Constant MISTMATCHED_BASE_SET_FOR_EXTENDED_LINK.
      See Also:
        Constant Field Values

    - #### CANNOT_REMOVE_RELATIONSHIP_FROM_BASE_SET

          public static final int CANNOT_REMOVE_RELATIONSHIP_FROM_BASE_SET

      The Constant CANNOT_REMOVE_RELATIONSHIP_FROM_BASE_SET.
      See Also:
        Constant Field Values

    - #### SETTING_DOCUMENT_ROOT_NODE_PROBLEMS_READING_ARCROLEREFS

          public static final int SETTING_DOCUMENT_ROOT_NODE_PROBLEMS_READING_ARCROLEREFS

      The Constant SETTING_DOCUMENT_ROOT_NODE_PROBLEMS_READING_ARCROLEREFS.
      See Also:
        Constant Field Values

    - #### SETTING_DOCUMENT_ROOT_NODE_PROBLEMS_READING_ROLEREFS

          public static final int SETTING_DOCUMENT_ROOT_NODE_PROBLEMS_READING_ROLEREFS

      The Constant SETTING_DOCUMENT_ROOT_NODE_PROBLEMS_READING_ROLEREFS.
      See Also:
        Constant Field Values

    - #### CANNOT_CHANGE_ID_OF_ELEMENT_BECAUSE_COLLIDES_WITH_OTHER_ELEMENT_ID

          public static final int CANNOT_CHANGE_ID_OF_ELEMENT_BECAUSE_COLLIDES_WITH_OTHER_ELEMENT_ID

      The Constant CANNOT_CHANGE_ID_OF_ELEMENT_BECAUSE_COLLIDES_WITH_OTHER_ELEMENT_ID.
      See Also:
        Constant Field Values

    - #### CANNOT_REMOVE_RELATIONSHIP_FROM_EXTENDED_LINK

          public static final int CANNOT_REMOVE_RELATIONSHIP_FROM_EXTENDED_LINK

      The Constant CANNOT_REMOVE_RELATIONSHIP_FROM_EXTENDED_LINK.
      See Also:
        Constant Field Values

    - #### CANNOT_ADD_RELATIONSHIP_TO_EXTENDED_LINK

          public static final int CANNOT_ADD_RELATIONSHIP_TO_EXTENDED_LINK

      The Constant CANNOT_ADD_RELATIONSHIP_TO_EXTENDED_LINK.
      See Also:
        Constant Field Values

    - #### CANNOT_CREATE_FACT_ELEMENT_IS_NOT_AN_XBRL_CONCEPT

          public static final int CANNOT_CREATE_FACT_ELEMENT_IS_NOT_AN_XBRL_CONCEPT

      The Constant CANNOT_CREATE_FACT_ELEMENT_IS_NOT_AN_XBRL_CONCEPT.
      See Also:
        Constant Field Values

    - #### CANNOT_ADD_CONTEXT_TO_REPORT

          public static final int CANNOT_ADD_CONTEXT_TO_REPORT

      The Constant CANNOT_ADD_CONTEXT_TO_REPORT.
      See Also:
        Constant Field Values

    - #### CANNOT_REMOVE_CONTEXT_FROM_REPORT

          public static final int CANNOT_REMOVE_CONTEXT_FROM_REPORT

      The Constant CANNOT_REMOVE_CONTEXT_FROM_REPORT.
      See Also:
        Constant Field Values

    - #### CANNOT_REMOVE_UNIT_FROM_REPORT

          public static final int CANNOT_REMOVE_UNIT_FROM_REPORT

      The Constant CANNOT_REMOVE_UNIT_FROM_REPORT.
      See Also:
        Constant Field Values

    - #### SETTING_DOCUMENT_ROOT_NODE_PROBLEMS_READING_INFOSET

          public static final int SETTING_DOCUMENT_ROOT_NODE_PROBLEMS_READING_INFOSET

      The Constant SETTING_DOCUMENT_ROOT_NODE_PROBLEMS_READING_INFOSET.
      See Also:
        Constant Field Values

    - #### CANNOT_ADD_UNIT_TO_THE_REPORT

          public static final int CANNOT_ADD_UNIT_TO_THE_REPORT

      The Constant CANNOT_ADD_UNIT_TO_THE_REPORT.
      See Also:
        Constant Field Values

    - #### CANNOT_ADD_IMPORT_TO_TAXONOMY

          public static final int CANNOT_ADD_IMPORT_TO_TAXONOMY

      The Constant CANNOT_ADD_IMPORT_TO_TAXONOMY.
      See Also:
        Constant Field Values

    - #### SETTING_DOCUMENT_ROOT_NODE_PROBLEMS_READING_LINKBASES

          public static final int SETTING_DOCUMENT_ROOT_NODE_PROBLEMS_READING_LINKBASES

      The Constant SETTING_DOCUMENT_ROOT_NODE_PROBLEMS_READING_LINKBASES.
      See Also:
        Constant Field Values

    - #### SETTING_DOCUMENT_ROOT_NODE_PROBLEMS_READING_IMPORTS

          public static final int SETTING_DOCUMENT_ROOT_NODE_PROBLEMS_READING_IMPORTS

      The Constant SETTING_DOCUMENT_ROOT_NODE_PROBLEMS_READING_IMPORTS.
      See Also:
        Constant Field Values

    - #### SETTING_DOCUMENT_ROOT_NODE_PROBLEMS_READING_ROLES

          public static final int SETTING_DOCUMENT_ROOT_NODE_PROBLEMS_READING_ROLES

      The Constant SETTING_DOCUMENT_ROOT_NODE_PROBLEMS_READING_ROLES.
      See Also:
        Constant Field Values

    - #### SETTING_DOCUMENT_ROOT_NODE_PROBLEMS_READING_ARCROLES

          public static final int SETTING_DOCUMENT_ROOT_NODE_PROBLEMS_READING_ARCROLES

      The Constant SETTING_DOCUMENT_ROOT_NODE_PROBLEMS_READING_ARCROLES.
      See Also:
        Constant Field Values

    - #### LEXICOGRAPHICALY_INVALID_ID

          public static final int LEXICOGRAPHICALY_INVALID_ID

      The Constant LEXICOGRAPHICALY_INVALID_ID.
      See Also:
        Constant Field Values

    - #### CANNOT_ADD_RELATIONSHIP_FROM_TO_FRAGMENT

          public static final int CANNOT_ADD_RELATIONSHIP_FROM_TO_FRAGMENT

      The Constant CANNOT_ADD_RELATIONSHIP_FROM_TO_FRAGMENT.
      See Also:
        Constant Field Values

    - #### CANNOT_ADD_RELATIONSHIP_TO_TO_FRAGMENT

          public static final int CANNOT_ADD_RELATIONSHIP_TO_TO_FRAGMENT

      The Constant CANNOT_ADD_RELATIONSHIP_TO_TO_FRAGMENT.
      See Also:
        Constant Field Values

    - #### CANNOT_REMOVE_RELATIONSHIP_FROM_TO_FRAGMENT

          public static final int CANNOT_REMOVE_RELATIONSHIP_FROM_TO_FRAGMENT

      The Constant CANNOT_REMOVE_RELATIONSHIP_FROM_TO_FRAGMENT.
      See Also:
        Constant Field Values

    - #### CANNOT_REMOVE_RELATIONSHIP_FROM_FROM_FRAGMENT

          public static final int CANNOT_REMOVE_RELATIONSHIP_FROM_FROM_FRAGMENT

      The Constant CANNOT_REMOVE_RELATIONSHIP_FROM_FROM_FRAGMENT.
      See Also:
        Constant Field Values

    - #### INVALID_ATTRIBUTE_DEFINITION_REF_AND_NAME_FOUND

          public static final int INVALID_ATTRIBUTE_DEFINITION_REF_AND_NAME_FOUND

      The Constant INVALID_ATTRIBUTE_DEFINITION_REF_AND_NAME_FOUND.
      See Also:
        Constant Field Values

    - #### INVALID_ATTRIBUTE_DEFINITION_REF_OR_NAME_REQUIRED

          public static final int INVALID_ATTRIBUTE_DEFINITION_REF_OR_NAME_REQUIRED

      The Constant INVALID_ATTRIBUTE_DEFINITION_REF_OR_NAME_REQUIRED.
      See Also:
        Constant Field Values

    - #### INVALID_ATTRIBUTE_DEFINITION_FIXED_AND_DEFAULT_ARE_NOT_COMPATIBLE

          public static final int INVALID_ATTRIBUTE_DEFINITION_FIXED_AND_DEFAULT_ARE_NOT_COMPATIBLE

      The Constant INVALID_ATTRIBUTE_DEFINITION_FIXED_AND_DEFAULT_ARE_NOT_COMPATIBLE.
      See Also:
        Constant Field Values

    - #### INVALID_ATTRIBUTE_DEFINITION_FORM_NOT_LEGAL_FOR_REF

          public static final int INVALID_ATTRIBUTE_DEFINITION_FORM_NOT_LEGAL_FOR_REF

      The Constant INVALID_ATTRIBUTE_DEFINITION_FORM_NOT_LEGAL_FOR_REF.
      See Also:
        Constant Field Values

    - #### INVALID_ATTRIBUTE_DEFINITION_TYPE_NOT_LEGAL_FOR_REF

          public static final int INVALID_ATTRIBUTE_DEFINITION_TYPE_NOT_LEGAL_FOR_REF

      The Constant INVALID_ATTRIBUTE_DEFINITION_TYPE_NOT_LEGAL_FOR_REF.
      See Also:
        Constant Field Values

    - #### CANNT_ADD_FACT_TO_REPORT_DUE_TO_XBRLVALIDATIONEXCEPTION

          public static final int CANNT_ADD_FACT_TO_REPORT_DUE_TO_XBRLVALIDATIONEXCEPTION

      The Constant CANNT_ADD_FACT_TO_REPORT_DUE_TO_XBRLVALIDATIONEXCEPTION.
      See Also:
        Constant Field Values

    - #### CANNOT_REMOVE_ID_BECAUSE_FRAGMENT_CONTAINS_RELATIONSHIPS

          public static final int CANNOT_REMOVE_ID_BECAUSE_FRAGMENT_CONTAINS_RELATIONSHIPS

      The Constant CANNOT_REMOVE_ID_BECAUSE_FRAGMENT_CONTAINS_RELATIONSHIPS.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### XBRLInconsistentDTSException

          public XBRLInconsistentDTSException(int code,
                                      java.lang.Object... args)

      Instantiates a new XBRL inconsistent dts exception.
      Parameters:
        `code` - the code
        `args` - the args

    - #### XBRLInconsistentDTSException

          public XBRLInconsistentDTSException(int code,
                                      java.lang.Throwable cause,
                                      java.lang.Object... args)

      Parameters:
        `cause` -

  - ### Method Detail

    - #### getCode

          public int getCode()

      Gets the code.
      Returns:
        the exception code number

    - #### getMessage

          public java.lang.String getMessage()

      Overrides:
        `getMessage` in class `java.lang.Throwable`